Name:           python-pyecma376-2
Version:        1.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Library for reading and writing ECMA 376-2 (Open Packaging Conventions) files

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/acplt/PyECMA376-2
Source:         %{pypi_source pyecma376_2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyecma376-2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyecma376-2
Summary:        %{summary}

%description -n python3-pyecma376-2 %_description


%prep
%autosetup -p1 -n pyecma376_2-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyecma376-2 -f %{pyproject_files}


%changelog
%autochangelog